/*
 * My Getaway theme
 * Dated Pipeline Reimagined Journey
 * */

/* --- color palette --- */

body {
    color: #46403f !important;
    font-family: 'Montserrat', Helvetica, Arial, sans-serif;
    font-size: 20px;
    font-weight: 500;
    letter-spacing: normal;
    line-height: 28px;
}

.coral-reef-text {
    color: #ff9b75;
}

.citrus-sunrise-text {
    color: #f76b3c;
}

.woodland-oak-text {
    color: #46403f;
}

.white-text {
    color: #ffffff;
}

.citrus-sunrise-bg {
    background-color: #f76b3c;
    color: #ffffff;
}

.legacy-green-bg {
    background-color: #1c4b34;
    color: #ffffff;
}

.white-bg {
    background-color: #ffffff;
}

.seashell-sand-bg {
    background-color: #f2f1e9;
}

.coconut-husk-bg {
    background-color: #d0b7a1;
}

.coconut-husk-50-bg {
    background-color: #d0b7a1b2;
}

/* --- typography --- */

h1 {
    font-family: 'playfair', Helvetica, Arial, sans-serif;
    font-weight: 600;
    letter-spacing: 0.125px;
}

h2, h3, h4, h5, h6 {
    font-family: 'Montserrat', Helvetica, Arial, sans-serif;
    font-weight: 600;
}

.playfair {
    font-family: 'Playfair', Helvetica, Arial, sans-serif;
    font-weight: 500;
    letter-spacing: 0.125px;
}

.montserrat {
    font-family: 'Montserrat', Helvetica, Arial, sans-serif;
    font-weight: 600;
}

.default-font {
    font-family: 'Montserrat', Helvetica, Arial, sans-serif;
    font-weight: 500;
    letter-spacing: normal;
}

.semi-bold-font {
    font-weight: 500;
}

.text-shadow {
    text-shadow: 2px 1px 5px #46403f;
}

/* --- buttons --- */

.btn {
    white-space: normal;
}

.btn-primary,
.btn-primary:visited {
    background-color: #f76b3c;
    border-color: #f76b3c;
    color: #ffffff;
}

.btn.btn-primary:active,
.btn.btn-primary:hover {
    background-color: #ffffff;
    border-color: #f76b3c;
    color: #f76b3c;
}

.btn-primary-inverse,
.btn-primary-inverse:visited {
    background-color: #ffffff;
    border-color: #f76b3c;
    color: #f76b3c;
}

.btn.btn-primary-inverse:active,
.btn.btn-primary-inverse:hover {
    background-color: #f76b3c;
    border-color: #f76b3c;
    color: #ffffff;
}

.btn-transparent,
.btn-transparent:visited {
    background-color: transparent;
    border-color: #ffffff;
    color: #ffffff;
}

.btn-transparent:active,
.btn-transparent:hover {
    background-color: #ffffff;
    border-color: #f76b3c;
    color: #f76b3c;
}

/* --- filter component --- */

.filter-container {
    align-items: center;
    flex-wrap: wrap;
    gap: 0 0.5em;
    justify-content: center;
    list-style-type: none;
    margin: 1.5em 0 0;
    padding: 0;
}

.filter-container li {
    background-color: #d0b7a1;
    border: 2px solid #d0b7a1;
    border-radius: 35px;
    cursor: pointer;
    font-size: 0.75em;
    font-weight: 600;
    margin-bottom: 1em;
    padding: 4px 16px;
}

.filter-container li.selected {
    background-color: #f76b3c;
    border-color: #f76b3c;
    color: #ffffff;
    font-weight: 700;
}

/* --- footer --- */

footer {
    border: none;
    box-shadow: none;
    color: #46403f !important;
    font-size: 0.75em;
    font-weight: 500;
    line-height: 21px;
    padding: 3em 0;
}

footer a img,
footer a img:active,
footer a img:hover {
    border: none;
}

footer .social-icon-container {
    display: flex;
    flex-direction: row;
    gap: 1.5em;
}

footer .social-icon-container a {
    border: none;
}

footer .privacy-links {
    display: flex;
    gap: 1.5em;
}

/* --- navigation --- */

.nav-boundary {
    padding-top: 3em;
}

.nav-margin-boundary {
    margin-top: 4em;
}

.nav-positioning {
    position: absolute;
    width: 100%;
}

.nav-sticky {
    position: fixed;
    width: 100%;
    z-index: 99;
}

.nav-container {
    padding: 15px 0;
}

.nav-items {
    width: 75%;
}

.nav-logo-container a,
.nav-logo-container a:active,
.nav-logo-container a:hover {
    border: none !important;
    padding: 0;
}

.nav-logo-container a img:active,
.nav-logo-container a img:hover {
    border: none;
    outline: none;
    outline-offset: initial;
    transition: none;
}

.nav-logo-container img {
    border: none;
    height: 30px;
}

.nav-links {
    align-items: center;
    font-size: 0.75em;
    gap: 3em;
    list-style: none;
    margin: 0;
    padding: 0;
}

.nav-links-mobile {
    align-items: flex-start;
    display: flex;
    font-size: 1em;
    flex-direction: column;
    gap: 1.5em;
    list-style: none;
    margin: 1.5em 0;
}

.nav-links-mobile > li:last-child {
    margin-bottom: 3em;
}

.nav-links-mobile li ul li {
    margin-top: 1em;
}

.nav-links a,
.nav-links-mobile a {
    border: none;
    color: #ffffff;
}

.nav-links a:active,
.nav-links a:hover {
    border-bottom: 3px solid;
}

.nav-links .dropdown-menu {
    top: 95%;
}

.dropdown-menu li a {
    font-weight: 500;
}

.dropdown-menu li a:active,
.dropdown-menu li a:hover {
    border: none;
}

.nav-call-to-action {
    justify-content: flex-end;
    width: 25%;
}

.nav-call-to-action a {
    align-self: center;
}

.nav-mobile-canvas {
    position: fixed;
    left: 0;
    top: 0;
    height: 100dvh;
    overflow: scroll;
    width: 100%;
    z-index: 100;
}

ul li ul li:before {
    content: none;
}

/* --- panel --- */

.panel-destination {
    border: 1px solid #eeeeee;
    border-radius: 24px;
    box-shadow: 0 4px 8px -2px rgba(16, 24, 40, 0.1);
    -webkit-box-shadow: 0 4px 8px -2px rgba(16, 24, 40, 0.1);
}

.panel-destination.panel-blog {
    flex-basis: 49%;
}

.panel-destination .svg-icon {
    max-width: 66px;
}

.panel-destination.dark-gray-bg {
    border: 1px solid #888888;
    color: #ffffff;
}

.panel-destination.dark-gray-bg h4 {
    color: #ffffff;
}

.panel-destination .panel-cover {
    background-color: #344054;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-top-left-radius: 25px;
    border-top-right-radius: 25px;
    min-height: 200px;
    padding: 1.5em 0 0 1.5em;
}

.panel-destination .panel-body {
    padding: 30px;
}

.panel-destination .vertical-divider,
.panel-destination .horizontal-divider {
    border: 1px solid #d0b7a1b2;
}

.panel-destination .panel-heading {
    background-color: #ffffff;
    border-bottom: 1px solid #eee;
    border-top-left-radius: 24px;
    border-top-right-radius: 24px;
    padding: 1.5em;
}

.panel-destination .panel-footer {
    align-items: center;
    background-color: #ffffff;
    border-bottom-left-radius: 24px;
    border-bottom-right-radius: 24px;
    border-color: #d0b7a1b2;
    justify-content: end;
    padding: 15px 30px;
}

.destination-select-body {
    max-height: 550px;
    overflow-y: scroll;
    padding: 1.5em;
}

.destination-select-container {
    align-items: center;
    border: 1px solid #eeeeee;
    gap: 1em;
    margin-bottom: 1em;
}

.destination-select-container:last-of-type {
    margin-bottom: 0;
}

.destination-select-container:hover {
    border-color: #f76b3c;
}

.destination-select-container .destination-select-image {
    width: 30%;
}

.destination-select-content,
.destination-select-content h5,
.destination-select-content p {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.panel-destination .vacation-mode-image-on img,
.panel-destination .vacation-mode-image-on img:active,
.panel-destination .vacation-mode-image-on img:hover {
    border: none;
}

.panel-destination .trav-wave-img {
    min-width: 35%;
}

.panel-destination.panel-blog .trav-wave-img {
    width: 65%;
}

.panel-destination .chevron-up,
.panel-destination .chevron-down {
    color: #f76b3c;
    font-size: 1.5em;
}

.panel-destination .panel-barrier-accordion {
    cursor: pointer;
}

#destination-pin-caption {
    background-color: #ffffff;
    border: 2px solid #f76b3c;
    border-radius: 35px;
    font-size: 0.75em;
    line-height: 24px;
    padding: 5px 15px;
    position: absolute;
    z-index: 90;
}

/* --- utilities --- */
/* scale: 1 (.25em), 2 (.5em), 3 (1em), 4 (1.5em), 5 (3em) */

.no-margin {
    margin: 0;
}

.no-padding-horizontal {
    padding-left: 0;
    padding-right: 0;
}

.padding-right-3 {
    padding-right: 1em;
}

.padding-vertical-4 {
    padding: 1.5em 0;
}

.padding-vertical-5 {
    padding: 3em 0;
}

.padding-top-4 {
    padding-top: 1.5em;
}

.padding-top-5 {
    padding-top: 3em;
}

.padding-bottom-4 {
    padding-bottom: 1.5em;
}

.padding-bottom-5 {
    padding-bottom: 3em;
}

.padding-3 {
    padding: 1em;
}

.padding-4 {
    padding: 1.5em;
}

.margin-vertical-3 {
    margin: 1em 0;
}

.margin-vertical-4 {
    margin: 1.5em 0;
}

.margin-vertical-5 {
    margin: 3em 0;
}

.margin-top-2 {
    margin-top: 0.5em;
}

.margin-top-3 {
    margin-top: 1em;
}

.margin-top-4 {
    margin-top: 1.5em;
}

.margin-top-5 {
    margin-top: 3em;
}

.margin-bottom-1 {
    margin-bottom: 0.25em;
}

.margin-bottom-2 {
    margin-bottom: 0.5em;
}

.margin-bottom-3 {
    margin-bottom: 1em;
}

.margin-bottom-4 {
    margin-bottom: 1.5em;
}

.margin-bottom-5 {
    margin-bottom: 3em;
}

.slightly-small {
    font-size: 0.875em;
}

.small {
    font-size: 0.75em;
    line-height: 24px;
}

.flex-row {
    display: flex;
    flex-direction: row;
}

.flex-column {
    display: flex;
    flex-direction: column;
}

.flex-align-center {
    align-items: center;
    justify-content: center;
}

.flex-align-self-center {
    align-self: center;
}

.flex-gap-2 {
    gap: 0.5em;
}

.flex-gap-3 {
    gap: 1em;
}

.flex-column-gap-3 {
    gap: 0 1em;
}

.flex-space-between {
    justify-content: space-between;
}

.flex-wrap {
    flex-wrap: wrap;
}

.flex-space-1 {
    flex: 1;
}

.section-divider {
    border-top: 3px solid #f76b3c;
    width: 50px;
}

.overflow-hidden {
    overflow: hidden;
    touch-action: none;
}

.no-user-select {
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.scroll-margin-top {
    scroll-margin-top: 80px;
}

.svg-icon {
    max-width: 60px;
}

/* --- carousel --- */

.owl-theme .owl-nav.disabled + .owl-dots {
    margin-top: 0.825em;
}

.owl-theme .owl-dots .owl-dot.active span,
.owl-theme .owl-dots .owl-dot:hover span {
    background: #f76b3c;
}

a.video-modal-trigger img:active,
a.video-modal-trigger img:hover {
    border-color: #f76b3c;
}

.no-padding-horizontal .owl-prev {
    left: 10px;
}

.no-padding-horizontal .owl-next {
    right: 10px;
}

/* --- alert --- */

.advisory-container {
    border: 1px solid #cccccc;
    padding: 12px 15px;
}

/* --- tile gallery --- */

.gallery-tile {
    position: relative;
}

.gallery-tile .image-overlay {
    background-color: #000000;
    bottom: 0;
    height: 100%;
    left: 0;
    opacity: 0.125;
    position: absolute;
    width: 100%;
}

.gallery-tile .tile-caption {
    bottom: 1em;
    left: 1em;
    position: absolute;
    text-shadow: 2px 1px 0.25em #000000;
}

.gallery-tile .tile-caption h1,
.gallery-tile .tile-caption h2,
.gallery-tile .tile-caption h3,
.gallery-tile .tile-caption h4,
.gallery-tile .tile-caption h5,
.gallery-tile .tile-caption h6,
.gallery-tile .tile-caption p,
.gallery-tile .tile-caption a {
    color: #ffffff;
}

/* --- media queries --- */

@media only screen and (max-width: 320px) {

    .nav-call-to-action {
        display: none;
    }

    .destination-select-image {
        display: none;
    }

    .destination-select-content {
        padding: 1em;
    }
}

@media only screen and (orientation: landscape) and (max-width: 992px) {

    .nav-mobile-canvas {
        height: 100dvh;
    }
}

/* small to medium devices (992px and down) */
@media only screen and (max-width: 992px) {

    .text-center-mobile {
        text-align: center;
    }

    .no-padding-mobile {
        padding: 0;
    }

    .padding-vertical-4-mobile {
        padding: 1.5em 0;
    }

    .padding-top-4-mobile {
        padding-top: 1.5em;
    }

    .padding-bottom-0-mobile {
        padding-bottom: 0;
    }

    .margin-vertical-3-mobile {
        margin: 1em 0;
    }

    .margin-top-3-mobile {
        margin-top: 1em;
    }

    .margin-bottom-3-mobile {
        margin-bottom: 1em;
    }

    .margin-bottom-4-mobile {
        margin-bottom: 1.5em;
    }

    .margin-bottom-0-mobile {
        margin-bottom: 0;
    }

    .nav-logo-container img {
        height: 30px;
    }

    .nav-call-to-action {
        width: auto;
    }

    .nav-call-to-action .btn {
        padding: 5px 10px;
    }

    .panel-destination .panel-body {
        font-size: 0.825em;
    }

    .destination-select-body {
        font-size: 0.825em;
        max-height: 300px;
        overflow-y: scroll;
        padding: 1.5em 1.0em;
    }

    .flex-column-mobile {
        display: flex;
        flex-direction: column;
    }

    .flex-column-reverse-mobile {
        display: flex;
        flex-direction: column-reverse;
    }

    .flex-row-mobile {
        display: flex;
        flex-direction: row;
    }

    .flex-gap-3-mobile {
        gap: 1em;
    }

    .flex-justify-center-mobile {
        justify-content: center;
    }

    footer .privacy-links {
        flex-direction: column;
        justify-content: flex-start;
    }

    #destination-pin-caption {
        font-size: 0.625em;
    }
}

/* large devices (992px and up) */
@media only screen and (min-width: 992px) {

    .nav-mobile-canvas {
        display: none;
    }

    footer .privacy-links {
        flex-direction: row;
        justify-content: flex-end;
    }
}